# This file created by conda-build 3.7.1
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/1a9adc4e-d722-48b7-5861-34a5177a59d8/volume/rsync-recipes/pynacl-1.2.1-python_3.5-on-nwani-osx-64, last modified Wed Mar 28 01:02:52 2018
# ------------------------------------------------

package:
    name: pynacl
    version: 1.2.1
source:
    fn: PyNaCl-1.2.1.tar.gz
    sha256: e0d38fa0a75f65f556fb912f2c6790d1fa29b7dd27a1d9cc5591b281321eaaa9
    url: https://pypi.io/packages/source/P/PyNaCl/PyNaCl-1.2.1.tar.gz
build:
    number: '0'
    string: py35h1de35cc_0
requirements:
    build:
        - cctools 895 h7512d6f_0
        - clang 4.0.1 h662ec87_0
        - clang_osx-64 4.0.1 h1ce6c1d_10
        - compiler-rt 4.0.1 h5487866_0
        - ld64 274.2 h7c2db76_0
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - llvm 4.0.1 hc748206_0
        - llvm-lto-tapi 4.0.1 h6701bc3_0
    host:
        - ca-certificates 2017.08.26 ha1e5d58_0
        - certifi 2018.1.18 py35_0
        - cffi 1.11.5 py35h342bebf_0
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - libedit 3.1 hb4e282d_0
        - libffi 3.2.1 h475c297_4
        - libsodium 1.0.16 h3efe00b_0
        - ncurses 6.0 hd04f020_2
        - openssl 1.0.2o h26aff7b_0
        - pycparser 2.18 py35hab820b0_1
        - python 3.5.5 hc167b69_1
        - readline 7.0 hc1231fa_4
        - setuptools 38.5.1 py35_0
        - sqlite 3.22.0 h3efe00b_0
        - tk 8.6.7 h35a86e2_3
        - xz 5.2.3 h0278029_2
        - zlib 1.2.11 hf3cbc9b_2
    run:
        - cffi >=1.4.1
        - libsodium >=1.0.16,<1.0.17.0a0
        - python >=3.5,<3.6.0a0
        - six
test:
    commands:
        - pytest
    imports:
        - nacl
        - nacl.bindings
        - nacl.pwhash
    requires:
        - hypothesis >=3.27.0
        - pytest >=3.2.1
    source_files:
        - tests/
about:
    description: 'PyNaCl is a Python binding to the Networking and Cryptography library,
        a crypto library with the stated goal of improving usability, security and
        speed. It supports Python 2.7 and 3.3+ as well as PyPy 2.6+.

        '
    dev_url: https://github.com/pyca/pynacl
    doc_url: https://pynacl.readthedocs.io/en/latest/
    home: https://github.com/pyca/pynacl
    license: Apache-2.0
    license_family: Apache
    license_file: LICENSE
    summary: PyNaCl is a Python binding to the Networking and Cryptography library,
        a crypto library with the stated goal of improving usability, security and
        speed.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - CJ-Wright
